Mailinglist Archive: opensuse-factory (367 mails)

< Previous Next >
Re: [opensuse-factory] php5 drop
Petr Gajdos wrote:
I propose to drop php5 from Tumbleweed at the end of August.
If php5 is planned to be removed at the end of August, why php5 packages
already now cause dependency problems?

# zypper dup --no-allow-vendor-change
Warning: You are about to do a distribution upgrade with all enabled
repositories. Make sure these repositories are compatible before you
continue. See 'man zypper' for more information about this command.
Loading repository data...
Reading installed packages...
Computing distribution upgrade...

Problem: php5-pear-Crypt_Blowfish-1.1.0RC2-16.3.noarch requires php5
>= 1.4.7, but this requirement cannot be provided
Solution 1: keep obsolete php5-imap-5.6.30-3.5.x86_64
Solution 2: deinstallation of
php5-pear-Crypt_Blowfish-1.1.0RC2-16.3.noarch
Solution 3: break php5-pear-Crypt_Blowfish-1.1.0RC2-16.3.noarch by
ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/3/c] (c): 2
Resolving dependencies...
Computing distribution upgrade...

Problem: php5-zlib-5.6.30-4.1.x86_64 requires php5 = 5.6.30, but
this requirement cannot be provided
Solution 1: keep obsolete php5-imap-5.6.30-3.5.x86_64
Solution 2: install php5-pear-Archive_Tar-1.3.13-1.6.noarch (with
vendor change)
openSUSE --> obs://build.opensuse.org/server:php:applications
Solution 3: break php5-zlib-5.6.30-4.1.x86_64 by ignoring some of
its dependencies

Choose from above solutions by number or cancel [1/2/3/c] (c): 2
Resolving dependencies...
Computing distribution upgrade...

The following 4 items are locked and will not be changed by any action:
Available:
kmozillahelper libreoffice mozilla-kde4-integration
Installed:
fetchmsttfonts

The following 40 NEW packages are going to be installed:
apache2-mod_php7 php7 php7-bz2 php7-ctype php7-curl php7-dba
php7-devel php7-dom php7-exif
php7-fileinfo php7-ftp php7-gd php7-gettext php7-iconv
php7-imagick php7-imap php7-intl
php7-json php7-ldap php7-mbstring php7-mcrypt php7-mysql
php7-openssl php7-pcntl php7-pdo
php7-pear php7-phar php7-posix php7-soap php7-sockets php7-sqlite
php7-sysvmsg php7-sysvsem
php7-sysvshm php7-tidy php7-tokenizer php7-xmlreader
php7-xmlwriter php7-zip php7-zlib

The following 40 packages are going to be REMOVED:
apache2-mod_php5 php5 php5-bz2 php5-ctype php5-curl php5-dba
php5-devel php5-dom php5-exif
php5-fileinfo php5-ftp php5-gd php5-gettext php5-iconv php5-imap
php5-intl php5-json php5-ldap
php5-mbstring php5-mcrypt php5-mysql php5-openssl php5-pcntl
php5-pdo php5-pear
php5-pear-Crypt_Blowfish php5-phar php5-posix php5-soap
php5-sockets php5-sqlite php5-sysvmsg
php5-sysvsem php5-sysvshm php5-tidy php5-tokenizer php5-xmlreader
php5-xmlwriter php5-zip
php5-zlib

The following 5 packages are going to be upgraded:
gplugin gplugin-devel gplugin-gtk3 gplugin-gtk3-devel libgplugin0

The following 2 packages are going to be downgraded:
libzypp-plugin-appdata php5-pear-Archive_Tar

The following package is going to change vendor:
php5-pear-Archive_Tar openSUSE ->
obs://build.opensuse.org/server:php:applications


5 packages to upgrade, 2 to downgrade, 40 new, 40 to remove, 1 to
change vendor.
Overall download size: 7.4 MiB. Already cached: 0 B. After the
operation, 6.3 MiB will be freed.
Continue? [y/n/...? shows all options] (y):

Greetings,
Björn
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups